> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/payment-cards/get-payment-card-rewards-offers-v-2/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Get Payment Card Rewards Offers V 2 GET https://api.upwardli.com/v2/payment-cards/{payment_card_id}/rewards/{program_id}/offers/ Reference: https://developers.upwardli.com/api-access/api-reference/payment-cards/get-payment-card-rewards-offers-v-2 ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Path parameters - `payment_card_id` (string, required) - `program_id` (string, required) ### Query parameters - `limit` (integer, optional) — Number of results to return per page. - `offset` (integer, optional) — The initial index from which to return the results. - `search` (string, optional) — A search term. - `latitude` (float, optional) - `longitude` (float, optional) - `radius` (float, optional) - `page` (integer, optional) - `page_size` (integer, optional) ## Response ### 200 - `count` (integer, required) - `results` (list of KardOffer, required) - `next` (string, optional, nullable) - `previous` (string, optional, nullable) ## Types ### KardOffer - `type` (string, optional) - `id` (string, optional) - `relationships` (KardOfferRelationships, optional) - `attributes` (KardOfferAttributes, optional) - `address` (KardOfferAddress, optional, nullable) - `coordinates` (KardOfferCoordinates, optional, nullable) ### KardOfferRelationships - `category` (KardOfferRelationshipsCategory, optional) ### KardOfferAttributes - `terms` (string, optional) - `name` (string, optional) - `purchaseChannel` (list of string, optional) - `userReward` (KardOfferAttributesUserReward, optional) - `assets` (list of KardOfferAttributesAssetsItems, optional) - `startDate` (string, optional) - `expirationDate` (string, optional) - `minTransactionAmount` (KardOfferAttributesMinTransactionAmount, optional) - `maxRewardAmount` (KardOfferAttributesMaxRewardAmount, optional) - `websiteUrl` (string, optional) - `isTargeted` (boolean, optional) - `description` (string, optional) ### KardOfferAddress - `street` (string, optional, nullable) - `city` (string, optional, nullable) - `state` (string, optional, nullable) - `zipCode` (string, optional, nullable) ### KardOfferCoordinates - `latitude` (double, optional, nullable) - `longitude` (double, optional, nullable) ### KardOfferRelationshipsCategory - `data` (list of KardOfferRelationshipsCategoryDataItems, optional) ### KardOfferAttributesUserReward - `type` (string, optional) - `value` (double, optional) ### KardOfferAttributesAssetsItems - `url` (string, optional) - `alt` (string, optional) - `type` (string, optional) ### KardOfferAttributesMinTransactionAmount - `type` (string, optional) - `value` (integer, optional) ### KardOfferAttributesMaxRewardAmount - `type` (string, optional) - `value` (integer, optional) ### KardOfferRelationshipsCategoryDataItems - `id` (string, required) - `type` (string, required) ## Examples **Response** ```json { "count": 123, "results": [ { "type": "string", "id": "string", "relationships": { "category": { "data": [ { "id": "string", "type": "string" } ] } }, "attributes": { "terms": "string", "name": "string", "purchaseChannel": [ "string" ], "userReward": { "type": "string", "value": 1.1 }, "assets": [ { "url": "string", "alt": "string", "type": "string" } ], "startDate": "string", "expirationDate": "string", "minTransactionAmount": { "type": "string", "value": 1 }, "maxRewardAmount": { "type": "string", "value": 1 }, "websiteUrl": "string", "isTargeted": true, "description": "string" }, "address": { "street": "string", "city": "string", "state": "string", "zipCode": "string" }, "coordinates": { "latitude": 1.1, "longitude": 1.1 } } ], "next": "http://api.example.org/accounts/?offset=400&limit=100", "previous": "http://api.example.org/accounts/?offset=200&limit=100" } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/payment-cards/payment_card_id/rewards/program_id/offers/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/payment-cards/payment_card_id/rewards/program_id/offers/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/payment-cards/payment_card_id/rewards/program_id/offers/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/payment-cards/payment_card_id/rewards/program_id/offers/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.upwardli.com/v2/payment-cards/payment_card_id/rewards/program_id/offers/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.upwardli.com/v2/payment-cards/payment_card_id/rewards/program_id/offers/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/payment-cards/payment_card_id/rewards/program_id/offers/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/payment-cards/payment_card_id/rewards/program_id/offers/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```